%global momorel 2
%global emacsver 23.0.95
%global xemacsver 21.5.29
%global e_sitedir %{_datadir}/emacs/site-lisp
#%%global xe_sitedir  %{_datadir}/xemacs/site-lisp
%global sitepdir  %{_datadir}/xemacs/site-packages

Summary: Riece is an IRC client for Emacsen.
Name: elisp-riece
Version: 6.0.0
Release: %{momorel}m%{?dist}
License: GPLv3+
Group: Applications/Internet
Source0: http://dl.sv.gnu.org/releases/riece/riece-%{version}.tar.gz
NoSource: 0
Patch0: COMPILE-xemacs.patch
URL: http://www.nongnu.org/riece/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch
BuildPreReq: emacs >= %{emacsver}, xemacs >= %{xemacsver}
BuildRequires: momonga-rpmmacros >= 20040310-6m
Requires: emacsen
Obsoletes: elisp-liece
Provides: elisp-liece

%description
Riece is an IRC client for Emacsen.  The development has started to
redesign the Liece IRC client.

Riece provides the following features:

- Several IRC servers may be used at the same time.
- Essential features can be built upon the extension framework (called
  "add-on") capable of dependency tracking.
- Installation is easy.  Riece doesn't depend on other packages.
- Setup is easy.  Automatically save/restore the configuration.
- Riece uses separate windows to display users, channels, and
  dialogues.  The user can select the window layout.
- Step-by-step instructions (currently written in Japanese) are included.
- Mostly compliant with RFC 2812.
#'

%package -n riece-emacs
Group: Applications/Internet
Summary: Riece is an IRC client for Emacs.
Requires: %{name} = %{version}-%{release}
Requires: emacs >= %{emacsver}
#Requires: apel-emacs >= %{apelver}
PreReq: info
Obsoletes: liece-emacs
Provides: liece-emacs

%description -n riece-emacs
riece-emacs is an IRC client for Emacs.

%package -n riece-xemacs
Group: Applications/Internet
Summary: Riece is an IRC client for XEmacs.
Requires: %{name} = %{version}-%{release}
Requires: xemacs >= %{xemacsver}
#Requires: apel-xemacs >= %{apelver}
Obsoletes: liece-xemacs
Provides: liece-xemacs

%description -n riece-xemacs
riece-xemacs is an IRC client for XEmacs.

%prep
%setup -q -n riece-%{version}
%patch0 -p0

%build
CFLAGS="%{optflags}" \
./configure --with-emacs=emacs \
            --datadir=%{e_sitedir} \
      --with-lispdir=%{e_sitedir}
make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

make install prefix=%{buildroot}%{_prefix} \
        datadir=%{buildroot}%{e_sitedir} \
  lispdir=%{buildroot}%{e_sitedir} \
  infodir=%{buildroot}%{_infodir} \
  PREFIX=%{buildroot}%{_prefix} \
  LISPDIR=%{buildroot}%{e_sitedir}

make distclean

CFLAGS="%{optflags}" \
./configure --with-xemacs=xemacs \
    --with-packagedir=%{sitepdir}
make
mkdir -p %{buildroot}%{sitepdir}/{pkginfo,info}
make install-package prefix=%{buildroot}%{_prefix} \
  packagedir=%{buildroot}%{sitepdir} \
  PREFIX=%{buildroot}%{_prefix} \
  LISPDIR=%{buildroot}%{sitepdir}/lisp \
  PACKAGEDIR=%{buildroot}%{sitepdir}

mkdir -p %{buildroot}%{_infodir}

install -m 644 doc/riece-ja.info %{buildroot}%{_infodir}
install -m 644 doc/riece-ja.info %{buildroot}%{sitepdir}/info

# remove
rm -f %{buildroot}%{sitepdir}/info/dir
rm -f %{buildroot}%{_infodir}/dir

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post -n riece-emacs
/sbin/install-info %{_infodir}/riece-en.info %{_infodir}/dir || :
/sbin/install-info %{_infodir}/riece-ja.info %{_infodir}/dir || :

%preun -n riece-emacs
if [ $1 = 0 ]; then
  /sbin/install-info --delete %{_infodir}/riece-en.info %{_infodir}/dir || :
  /sbin/install-info --delete %{_infodir}/riece-ja.info %{_infodir}/dir || :
fi

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS* README*

%files -n riece-emacs
%defattr(-, root, root)
%{e_sitedir}/riece
%{_infodir}/*.info*

%files -n riece-xemacs
%defattr(-, root, root)
%{sitepdir}/lisp/riece
%{sitepdir}/info/*.info*
%{sitepdir}/etc/riece/*
      
%changelog
* Sun Jun 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (6.0.0-2m)
- rebuild against emacs-23.0.95

* Wed Jun  3 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (6.0.0-1m)
- update to 6.0.0

* Mon May 25 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (5.0.0-9m)
- rebuild against emacs-23.0.94

* Fri May 22 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (5.0.0-8m)
- rebuild against xemacs-21.5.29

* Sun May 03 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (5.0.0-7m)
- rebuild against emacs-23.0.93

* Thu Apr 02 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (5.0.0-6m)
- rebuild against emacs-23.0.92

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (5.0.0-5m)
- rebuild against rpm-4.6

* Sat Nov 15 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (5.0.0-4m)
- fix install-info

* Sun Sep 07 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (5.0.0-3m)
- rebuild against emacs-22.3

* Thu Jul 24 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (5.0.0-2m)
- rebuild against xemacs-21.5.28
- add Patch0: COMPILE-xemacs.patch

* Wed Jun  4 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (5.0.0-1m)
- update to 5.0.0

* Sat Apr 19 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (4.0.0-5m)
- rebuild against emacs-22.2

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (4.0.0-4m)
- rebuild against gcc43

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (4.0.0-3m)
- %%NoSource -> NoSource

* Sat Jun 30 2007 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (4.0.0-2m)
- rebuild against xemacs-21.4.20 and xemacs-sumo-2007.04.27

* Mon Jun  4 2007 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (4.0.0-1m)
- update to 4.0.0

* Sun Jun  3 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (3.1.2-6m)
- rebuild against emacs-22.1

* Sat Mar 24 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (3.1.2-5m)
- rebuild against emacs-22.0.96

* Sun Mar  4 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (3.1.2-4m)
- rebuild against emacs-22.0.95

* Sun Feb 25 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (3.1.2-3m)
- rebuild against emacs-22.0.94

* Thu Feb 22 2007 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (3.1.2-2m)
- delete dependencies on apel

* Fri Feb 16 2007 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (3.1.2-1m)
- update to 3.1.2

* Sat Jan 27 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (3.1.1-5m)
- rebuild against emacs-22.0.93

* Fri Dec 22 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (3.1.1-4m)
- rebuild against emacs-22.0.92

* Thu Nov 23 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (3.1.1-3m)
- rebuild against emacs-22.0.91

* Sun Oct 29 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (3.1.1-2m)
- rebuild against emacs-22.0.90

* Wed Oct 11 2006 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (3.1.1-1m)
- update to 3.1.1

* Wed Aug  2 2006 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (3.1.0-1m)
- update to 3.1.0

* Sat Jun 24 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (3.0.0-1m)
- update to 3.0.0

* Sat May 14 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.0.2-1m)
- update to 2.0.2

* Sat Oct 15 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.0.1-1m)
- update to 2.0.1
- add %%{sitepdir}/etc/riece/* to %%files -n riece-xemacs

* Wed May 11 2005 Kazuhiko <kazuhiko@fdiary.net>
- (1.0.8-1m)
- version up

* Fri Feb 18 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (1.0.7b-4m)
- xemacs elisps destination is moved from %%{_libdir} to %%{_datadir}.

* Tue Feb 15 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (1.0.7b-3m)
- use %%{sitepdir}

* Sat Feb 12 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.0.7b-2m)
- rebuild against emacs 22.0.50

* Thu Feb 10 2005 Kazuhiko <kazuhiko@fdiary.net>
- (1.0.7b-1m)
- fix a bug which fails to start without ~/.riece/addons

* Sun Feb  6 2005 Kazuhiko <kazuhiko@fdiary.net>
- (1.0.7a-1m)
- version up
- revise URL

* Thu Nov 25 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.0.4-3m)
- update apelver to 10.6-3m

* Sun Nov 21 2004 Shigeyuki Yamashita <shige@momonga-linux.org>
- (1.0.4-2m)
- rebuild against emacs-21.3.50

* Tue Nov  2 2004 Kazuhiko <kazuhiko@fdiary.net>
- (1.0.4-1m)
- version up

* Thu Sep 30 2004 Kazuhiko <kazuhiko@fdiary.net>
- (1.0.3-1m)
- bugfixes

* Thu Aug 26 2004 Kazuhiko <kazuhiko@fdiary.net>
- (1.0.2-1m)
- initial import of riece - the successor of elisp-liece
